> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Tools

> Fetches all tool details available in the system. Requires `x-api-key` authentication.



## OpenAPI

````yaml GET /ext/tool
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/tool:
    get:
      summary: Get all Tool details
      description: >-
        Fetches all tool details available in the system. Requires `x-api-key`
        authentication.
      responses:
        '200':
          description: A list of tool details
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 611eaabb-0884-440f-a4f1-a04b9ad8a597
                    type:
                      type: string
                      example: tool.api
                    schema:
                      type: object
                      properties:
                        type:
                          type: string
                          example: function
                        name:
                          type: string
                          example: start_cloud_browser_session
                        description:
                          type: string
                          example: Starts the dashboard page with logged in session.
                        parameters:
                          type: object
                          properties:
                            type:
                              type: string
                              example: object
                            properties:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    example: string
                                  description:
                                    type: string
                            required:
                              type: array
                              items:
                                type: string
                    request_config:
                      type: object
                      properties:
                        method:
                          type: string
                          example: GET
                        url:
                          type: string
                          example: https://www.example.com/information
                        headers:
                          type: object
                          additionalProperties:
                            type: string
                          example:
                            User-Agent: Trugen Avatar
                            Accept: application/json
                    event_messages:
                      type: object
                      properties:
                        on_start:
                          type: object
                          properties:
                            message:
                              type: string
                        on_success:
                          type: object
                          properties:
                            message:
                              type: string
                        on_delay:
                          type: object
                          properties:
                            delay:
                              type: integer
                            message:
                              type: string
                        on_error:
                          type: object
                          properties:
                            message:
                              type: string
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-10-10T16:35:58.776206Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-10-10T16:35:58.776206Z'
                  required:
                    - id
                    - type
                    - schema
                    - request_config
                    - event_messages
                    - created_at
                    - updated_at
        '401':
          description: Unauthorized – invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````